## gwydraw gwydraw — Base functions |

## Functions

void | gwy_draw_type_init ()

## Includes

    #include <libdraw/gwydraw.h>

## Description

Gwyddion classes has to be initialized before they can be safely deserialized. The function `gwy_draw_type_init()` performs this initialization.

## Functions

### gwy_draw_type_init ()

    void
    gwy_draw_type_init (void);

Makes libgwydraw types safe for deserialization and performs other initialization. You have to call this function before using objects from libgwydraw.

Calls `gwy_process_type_init()` first to make sure libgwyprocess is initialized.

It is safe to call this function more than once, subsequent calls are no-op.